<ejs-dialog id="confirmDialog" #confirmDialog [visible]='false' [animationSettings]='animationSettings' [showCloseIcon]='true'
 width='400px' isModal="true">
    <ng-template #header>
        <div title="{{i18Labels?.Delete_connection}}" class="e-icon-settings dlg-template">
            {{i18Labels?.Delete_connection}} </div>
    </ng-template>
    <ng-template #content>
        <p > {{i18Labels?.delete_confirmation}}</p>
    </ng-template>
    <div class="form-group container">
        <div class="submitBtn">
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset"
            (click)="deleteConnection(_connectorInfo?.id)"> {{i18Labels?.YES}} </button>
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset"
                (click)="dont_delete_connection()"> {{i18Labels?.No}} </button>
        </div>
    </div>
</ejs-dialog>

<div class="control-section row">
    <div class="col-md-1 mw-col mt-4">
        <span class="mb-3 cursor-pointer col-xs-4">
            <em class="fa fa-chevron-left" routerLink="../connectors"></em>
        </span>
    </div>

    <div class="col-md-11 mt-4 pl-1">
        <nav class=" navbar justify-content-start pl-0 pt-0">

            <div class="float-left ">
                <p class="mb-0 text-capitalize"><strong>{{_connectorInfo?.name}}</strong></p>
                <p class='sub-heading text-muted'><small>{{_connectorInfo?.description}} </small></p>
            </div>
            <div class="ml-auto">
                <button class="btn btn-sm sec-btn" (click)="modalBtnClick()"> {{i18Labels?.Delete_connection}} </button>

            </div>

        </nav>


        <label class="mb-1 custom-label"><strong>{{i18Labels?.Details}}</strong></label><br />
        <div class="div-disabled">
            <div *ngIf="_connectorInfo?.connection_type == connectorDetails.CONNECTOR_TYPES?.s3?.type">

                <div>
                    <label class="mb-0 custom-label" >{{i18Labels?.Role_Name}}</label><br />
                    <input class="mb-3" type="text" class="mb-3 col-4 form-control" value="{{_connectorInfo?.connection?.ROLE}}">
                </div>


            </div>

            <div *ngIf="_connectorInfo?.connection_type == connectorDetails.CONNECTOR_TYPES?.sf?.type">
                <div>
                    <label class="mb-0 custom-label">{{i18Labels?.User_Name}}</label><br />
                    <input class="mb-3" type="text" class="mb-3 col-4 form-control" value="{{_connectorInfo?.connection?.USER}}">
                </div>

                <div>
                    <label class="mb-0 custom-label">{{i18Labels?.Account}}</label><br />
                    <input class="mb-3" type="text" class="mb-3 col-4 form-control" value="{{_connectorInfo?.connection?.ACCOUNT_ID}}">
                </div>

                <div>
                    <label class="mb-0 custom-label">{{i18Labels?.Password}}</label><br />
                    <input class="mb-3" type="password" class="mb-3 col-4 form-control" value="{{_connectorInfo?.connection?.PASSWORD}}">
                </div>

                <div>
                    <label class="mb-0 custom-label">{{i18Labels?.Database}}</label><br />
                    <input class="mb-3" type="text" class="mb-3 col-4 form-control" value="{{_connectorInfo?.connection?.DATABASE}}">
                </div>

                <div>
                    <label class="mb-0 custom-label">{{i18Labels?.Warehouse}}</label><br />
                    <input class="mb-3" type="text" class="mb-3 col-4 form-control" value="{{_connectorInfo?.connection?.WAREHOUSE}}">
                </div>
            </div>

            <div *ngIf="_connectorInfo?.connection_type == connectorDetails.CONNECTOR_TYPES?.sftp?.type">
                
                <div>
                    <label class="mb-0 custom-label">{{i18Labels?.Username}}</label><br />
                    <input class="mb-3" type="text" class="mb-3 col-4 form-control"  value="{{_connectorInfo?.connection?.USERNAME}}">
                </div>

                <div>
                    <label class="mb-0 custom-label">{{i18Labels?.Password}}</label><br />
                    <input class="mb-3" type="password" class="mb-3 col-4 form-control"  value="{{_connectorInfo?.connection?.PASSWORD}}">
                </div>

                <div>
                    <label class="mb-0 custom-label">{{i18Labels?.Host}}</label><br />
                    <input class="mb-3" type="text" class="mb-3 col-4 form-control" value="{{_connectorInfo?.connection?.HOST}}">
                </div>

                <div>
                    <label class="mb-0 custom-label">{{i18Labels?.Port}}</label><br />
                    <input class="mb-3" type="text" class="mb-3 col-4 form-control" value="{{_connectorInfo?.connection?.PORT}}">
                </div>

                
            </div>
            
        </div>


        <label class="mb-1 custom-label"><strong>{{i18Labels?.Layers}}</strong></label><br />
        <ejs-grid #gridelement [dataSource]='layers' [allowPaging]="true" class="mt-2 ml-0 mr-0" [allowSorting]="true"
            [pageSettings]='pageSettings' [allowTextWrap]='true'>
            <e-columns>
                <e-column width=1>
                    <ng-template #template let-data>
                        <em *ngIf="data.is_active" class="fa fa-check-circle fa-sm layer-isActive-icon"></em>
                        <em *ngIf="!data.is_active" class="fa fa-exclamation-triangle layer-in-active-icon"></em>  
                    </ng-template>
                </e-column>
                <e-column field="name" headerText='{{i18Labels?.Layer_name}}' width=10></e-column>
                <e-column headerText='{{i18Labels?.Type}}' width=10>
                    <ng-template #template let-data>
                        <span>{{connectorDetails.CONNECTOR_TYPES[data.layer_type]?.name}}</span>
                    </ng-template>
                </e-column>
                <e-column headerText='{{i18Labels?.Path}} / {{i18Labels?.schema_name}}' width=11>
                    <ng-template #template let-data>
                        <span *ngIf="data.layer_type=='s3' || data.layer_type=='sftp'">{{data.s3_path}}</span><span *ngIf="data.layer_type=='sf'" > {{data.schema_name}}</span>
                    </ng-template>
                </e-column>
            </e-columns>
        </ejs-grid>
    </div>
</div>